< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package wco
  Definition Classes
    hmrc
-  package dec
  Definition Classes
    wco
- AdditionalDocument
- AdditionalInformation
- Address
- Agent
- Amendment
- Amount
- AmountDeserializer
- Authentication
- Authenticator
- AuthorisationHolder
- BorderTransportMeans
- ChargeDeduction
- Classification
- Commodity
- Communication
- Consignment
- Contact
- CurrencyExchange
- CustomsValuation
- DangerousGoods
- DateTimeElement
- DateTimeString
- DateTimeStringDeserializer
- Declaration
- Destination
- DutyTaxFee
- ExportCountry
- Freight
- GoodsLocation
- GoodsLocationAddress
- GoodsMeasure
- GoodsShipment
- GovernmentAgencyGoodsItem
- GovernmentAgencyGoodsItemAdditionalDocument
- GovernmentAgencyGoodsItemAdditionalDocumentSubmitter
- GovernmentProcedure
- ImportExportParty
- Invoice
- InvoiceLine
- Itinerary
- JacksonMapper
- LoadingLocation
- Measure
- MeasureDeserializer
- MetaData
- NamedEntityWithAddress
- ObligationGuarantee
- Office
- Origin
- Packaging
- Payment
- Pointer
- PreviousDocument
- Response
- ResponseAdditionalInformation
- ResponseAmendment
- ResponseAppealOffice
- ResponseBank
- ResponseCommodity
- ResponseCommodityDutyTaxFee
- ResponseCommunication
- ResponseContactOffice
- ResponseDateTimeElement
- ResponseDeclaration
- ResponseDutyTaxFee
- ResponseDutyTaxFeePayment
- ResponseError
- ResponseGoodsShipment
- ResponseGovernmentAgencyGoodsItem
- ResponseObligationGuarantee
- ResponsePayment
- ResponsePointer
- ResponseStatus
- RoleBasedParty
- Seal
- StdAttributeAndTextDeserializer
- TradeTerms
- TransportEquipment
- TransportMeans
- TypeCodeValue
- TypeCodeValues
- Ucr
- ValuationAdjustment
- Warehouse
- WriteOff

c

uk.gov.hmrc.wco.dec

# Response 

###

#### case class Response(functionCode: Int, functionalReferenceId: Option[String] = None, issueDateTime: Option[ResponseDateTimeElement] = None, additionalInformations: Seq[ResponseAdditionalInformation] = Seq.empty, amendments: Seq[ResponseAmendment] = Seq.empty, appealOffice: Option[ResponseAppealOffice] = None, bank: Option[ResponseBank] = None, contactOffices: Seq[ResponseContactOffice] = Seq.empty, errors: Seq[ResponseError] = Seq.empty, status: Seq[ResponseStatus] = Seq.empty, declaration: Option[ResponseDeclaration] = None) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Response
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new Response(functionCode: Int, functionalReferenceId: Option[String] = None, issueDateTime: Option[ResponseDateTimeElement] = None, additionalInformations: Seq[ResponseAdditionalInformation] = Seq.empty, amendments: Seq[ResponseAmendment] = Seq.empty, appealOffice: Option[ResponseAppealOffice] = None, bank: Option[ResponseBank] = None, contactOffices: Seq[ResponseContactOffice] = Seq.empty, errors: Seq[ResponseError] = Seq.empty, status: Seq[ResponseStatus] = Seq.empty, declaration: Option[ResponseDeclaration] = None)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val additionalInformations: Seq[ResponseAdditionalInformation]
5.  val amendments: Seq[ResponseAmendment]
6.  val appealOffice: Option[ResponseAppealOffice]
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  val bank: Option[ResponseBank]
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
10.  val contactOffices: Seq[ResponseContactOffice]
11.  val declaration: Option[ResponseDeclaration]
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  val errors: Seq[ResponseError]
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  val functionCode: Int
16.  val functionalReferenceId: Option[String]
17.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  val issueDateTime: Option[ResponseDateTimeElement]
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  val status: Seq[ResponseStatus]
24.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped